<link rel="import" href="frontend://bower_components/vaadin-ordered-layout/vaadin-vertical-layout.html">
<link rel="import" href="frontend://bower_components/vaadin-text-field/vaadin-text-field.html">
<link rel="import" href="frontend://bower_components/vaadin-date-picker/vaadin-date-picker.html">
<link rel="import" href="frontend://bower_components/uibuilder-grid/uibuilder-grid.html">
<link rel="import" href="frontend://bower_components/vaadin-grid/vaadin-grid-sorter.html">
<link rel="import" href="frontend://bower_components/uibuilder-detail-panel/uibuilder-detail-panel.html">
<link rel="import" href="frontend://bower_components/crud-toolbar/crud-toolbar.html">
<link rel="import" href="frontend://bower_components/crud-panel/crud-panel.html">
<link rel="import" href="frontend://bower_components/crud-panel/crud-panel-separator.html">

<uibuilder-page>

    <h2>Edit students:</h2>

    <crud-panel id="crudPanel" controller-bean="studentCB" orientation="horizontal" show-border>

        <data-source name="studentsDS"></data-source>

        <crud-toolbar></crud-toolbar>

        <crud-panel-separator master-percent="60"></crud-panel-separator>

        <uibuilder-common-filter>
            <filter-types>
                <filter-type label="Name" filter="name"></filter-type>
                <filter-type label="Date of birth" filter="dateOfBirth"></filter-type>
            </filter-types>
        </uibuilder-common-filter>

        <vaadin-uibuilder-grid multi-sort>
            <vaadin-grid-column>
                <template class="header">
                    <vaadin-grid-sorter path="id">Id</vaadin-grid-sorter>
                </template>
                <template>{{item.id}}</template>
            </vaadin-grid-column>

            <vaadin-grid-column>
                <template class="header">
                    <vaadin-grid-sorter path="name">Name</vaadin-grid-sorter>
                </template>
                <template>{{item.name}}</template>
            </vaadin-grid-column>

            <vaadin-grid-column>
                <template class="header">
                    <vaadin-grid-sorter path="dateOfBirth">Date of birth</vaadin-grid-sorter>
                </template>
                <template>{{item.dateOfBirth}}</template>
            </vaadin-grid-column>
        </vaadin-uibuilder-grid>

        <detail-panel legend="Student details">
            <vaadin-vertical-layout>
                <vaadin-text-field label="Name"
                                   item-bind="name"
                                   style="width: 100%">
                </vaadin-text-field>
                <vaadin-date-picker label="Date of birth"
                                    item-bind="dateOfBirth"
                                    style="width: 100%">
                </vaadin-date-picker>
            </vaadin-vertical-layout>
        </detail-panel>

    </crud-panel>
</uibuilder-page>